Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind
Class GeneratorCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              umontreal.iro.lecuyer.xmlbind.GeneratorCreationException

All Implemented Interfaces:
  Serializable

    public class GeneratorCreationException

extends Exception

This exception is thrown when a problem occurs during the construction of a random variate generator by `ParamReadHelper.createGenerator(RandomVariateGenParams,RandomStream)`.

See Also:
  Serialized Form

Constructor Summary
`GeneratorCreationException()` Constructs a new generator creation exception with no generator information or message.
`GeneratorCreationException(Distribution dist, Class<? extends RandomVariateGen> genClass)` Constructs a new generator creation exception with distribution `dist`, generator class `genClass`, and no message.
`GeneratorCreationException(Distribution dist, Class<? extends RandomVariateGen> genClass, String message)` Constructs a new generator creation exception with distribution `dist`, generator class `genClass`, and message `message`.
`GeneratorCreationException(String message)` Constructs a new generator creation exception with no generator information and message `message`.

Method Summary
`Distribution` | `getDistribution()` Returns the distribution which caused the exception.
`Class<? extends RandomVariateGen>` | `getGeneratorClass()` Returns the generator class which caused the exception.
`String` | `toString()` Returns a short description of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratorCreationException

    public GeneratorCreationException()

  Constructs a new generator creation exception with no generator information or message.

### GeneratorCreationException

    public GeneratorCreationException(String message)

  Constructs a new generator creation exception with no generator information and message `message`.

  Parameters:
    `message` - the message describing the exception.

### GeneratorCreationException

    public GeneratorCreationException(Distribution dist,
                                      Class<? extends RandomVariateGen> genClass)

  Constructs a new generator creation exception with distribution `dist`, generator class `genClass`, and no message.

  Parameters:
    `dist` - the distribution associated with the generator.. = *
    `genClass` - the class of the random variate generator that cannot be created.

### GeneratorCreationException

    public GeneratorCreationException(Distribution dist,
                                      Class<? extends RandomVariateGen> genClass,
                                      String message)

  Constructs a new generator creation exception with distribution `dist`, generator class `genClass`, and message `message`.

  Parameters:
    `dist` - the distribution associated with the generator..
    `genClass` - the class of the random variate generator that cannot be created.
    `message` - the message describing the exception.

Method Detail

### getDistribution

    public Distribution getDistribution()

  Returns the distribution which caused the exception.

  Returns:
    the distribution having caused the exception.

### getGeneratorClass

    public Class<? extends RandomVariateGen> getGeneratorClass()

  Returns the generator class which caused the exception.

  Returns:
    the generator class having caused the exception.

### toString

    public String toString()

  Returns a short description of this exception. If no distribution and generator class are associated with this exception, this method returns the result of the superclass's `toString` method. Otherwise, it returns a string with the following contents.
  - The name of this class
  - ```:` ''
  - If a message is given, the text of the message.
  - ```, for` ''
  - If the distribution is available
    - ```distribution` ''
    - The result of `Object.toString()`
    - If the generator class is available ```,` ''
  - If the generator class is given, ```generator` '' followed by the generator class name

  Overrides:
    `toString` in class `Throwable`
  Returns:
    the short string describing the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.